<?

# цвет текста
function color($text,$color){return '<font color="'.$color.'">'.$text.'</font>';}

# html переадресация
function reload($url,$sec){
return '<meta http-equiv="refresh" content="'.$sec.'; url='.$url.'">';
}

# вывод ошибки
function error($msg){
echo '<div class="b">Ошибка!</div><div class="a">'.$msg.'</div>';
}


# are you admin?
function is_admin() {
return (isset($_SESSION['admin'])) ? true : false;
}

# are you user?
function is_user() {
return (isset($_SESSION['user'])) ? true : false;
}


# защита входных данных
function check_in($var){
return mysql_real_escape_string(trim(htmlentities($var, ENT_QUOTES, 'UTF-8')));
}

# вывод обработка
function check_out($var){
return nl2br($var);
}

# преобразовывает число меньшее нуля в 1
function more_zero($var){
$var = (int) abs($var);
if($var<=0){return $var=1;} else {return $var;}
}

# навигация
function navigation($p,$onpage,$count){

$pages = (int) ceil($count / $onpage); # всего страниц
$start = (int) ($p-1) * $onpage; # стартовая позиция
$end = (int) more_zero($p * $onpage); # конечная позиция

return array('start'=>$start,'end'=>$end,'pages'=>$pages);
}

# strlen
function my_mb_strlen($str){
if (function_exists('mb_strlen')) {return mb_strlen($str, 'utf-8');} else {return strlen($str);}
}

# проверка длины строки (от $min символов до $max)
function check_strlen($string,$min,$max){
$a =  filter_var(my_mb_strlen($string), FILTER_VALIDATE_INT, array('options'=>array('min_range'=>$min,'max_range'=>$max)));
if($a !== false){return true;} else {return false;}
}

# Изменение размера изображения
function img_resize($src, $out, $width, $height, $color = 0xFFFFFF, $quality = 100) {
if (!file_exists($src)) {return false;}

$size = getimagesize($src);

$format = strtolower(substr($size['mime'], strpos($size['mime'], '/') + 1));
$picfunc = 'imagecreatefrom'.$format;

$gor = $width  / $size[0];
$ver = $height / $size[1];  

if ($height == 0) {
$ver = $gor;
$height  = $ver * $size[1];
}
elseif ($width == 0) {
$gor = $ver;
$width = $gor * $size[0];
}

$ratio = min($gor, $ver);
if ($gor == $ratio){$use_gor = true;} else {$use_gor = false;}

$new_width = $use_gor  ? $width  : floor($size[0] * $ratio);
$new_height  = !$use_gor ? $height : floor($size[1] * $ratio);
$new_left= $use_gor  ? 0 : floor(($width - $new_width) / 2);
$new_top = !$use_gor ? 0 : floor(($height - $new_height) / 2);

$picsrc  = $picfunc($src);
$picout = imagecreatetruecolor($width, $height);

imagefill($picout, 0, 0, $color);
imagecopyresampled($picout, $picsrc, $new_left, $new_top, 0, 0, $new_width, $new_height, $size[0], $size[1]);
imagejpeg($picout, $out, $quality);
imagedestroy($picsrc);
imagedestroy($picout);

return true;
}
?>